package main

import (
	"fmt"

	conf "oc-schedulerd/conf"
	"oc-schedulerd/daemons"

	oclib "cloud.o-forge.io/core/oc-lib"
)

func main() {
	oclib.SetConfig(conf.GetConfig().MongoUrl, "DC_myDC")
	oclib.Init("oc-schedulerd")

	sch_mngr := daemons.ScheduleManager{Logger: oclib.GetLogger()}
	exe_mngr := daemons.ExecutionManager{}

	go sch_mngr.ListenForWorkflowSubmissions()
	go sch_mngr.SchedulePolling()

	exe_mngr.RetrieveNextExecutions()

	fmt.Print("stop")
}
